Subject: Re: FVWM: Bug using FvwmM4

From: Mikhael Goikhman <[email-masked]>
Date: Fri, 18 May 2001 19:52:02 +0000

On 26 Apr 2001 13:23:59 +0100, Tim Cutts wrote:
> 
> Affected fvwm versions: 2.2.[45]
> 
> I invoke fvwm on my machine with the the following command:
> 
> fvwm2 -cmd "FvwmM4 .fvwm2rc.m4"
> 
> The .xsession works out where I am, and sets an environment variable.
> FvwmM4 then modifies my .fvwm2rc appropriate to the machine at which I
> am actually sitting.
> 
> This works very nicely, except there seems to be a race condition which
> prevents some windows being decorated with the correct styles (they get
> decorated in the Fvwm default manner).
> 
> This suggests that the windows are being decorated while the FvwmM4
> process is still running, and before all of the configuration file has
> been parsed.  Only some windows belonging to apps launched by my
> .xsession are affected, and it's not always the same windows (it
> presumably depends on how busy the machine is, and so on).

To ensure all your apps are started after entire .fvwm2rc is processed,
launch them from InitFunction.

> If I restart the window manager using Restart fvwm2 then the windows are
> decorated correctly.  It's just annoying having to do this every time I
> log in.
> 
> Another workaroud is to put a sleep command for a few seconds in my
> .xsession before launching fvwm, but that's just as irritating.
> 
> Has anyone else seen this behaviour before?  I haven't seen any mention
> of it in the change logs.

Please try with fvwm-2.3.32. There will be no 2.2.6.
You will need to specify $HOME/.fvwm2rc.m4 or move this file to ~/.fvwm/.

If there are problems please submit a bug from www.fvwm.org or send to the
fvwm-workers list relevant lines from your .xsession, .fvwm2rc and a way to
reproduce the problem. Thanks.

Regards,
Mikhael.
--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].